
ctools - Action #3455

Vectorise ctmodel

11/21/2020 01:13 PM - Knödlseder Jürgen

Status: In Progress Start date: 11/21/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The ctmodel tool should make use of the vectorised response functions.

History

#1 - 11/21/2020 02:01 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Priority changed from Immediate to Normal

- % Done changed from 0 to 10

The first thing that was needed was the addition of a GModels::eval() method that evaluates the model value for all events in a given observation.

ctmodel needs then to be modified depending on the type of input observation that is provided.

ctmodel::fill_cube() currently emulates event bins of the target cube for the model evaluation, and with the vectorised interface, ctmodel::fill_cube()

would need to emulate a binned observation.

It is not clear how the ROI for unbinned observations can be handled in this case, hence in a first instance, the current ctmodel::fill_cube() could be

used for unbinned observations.

For binned and stacked analysis, one needs to make sure that the response is properly copied over from the input observation to the emulated

observation. Maybe this could also work for an unbinned observation by post-processing a cube, setting all pixels outside the ROI to zero. Yet it's not

clear whether this is actually efficient.

#2 - 03/15/2022 12:50 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
